
############################
# Dell OpenManage SNMP Traps
############################

# Thermal shutdown protection has been initiated
traphandle MIB-Dell-10892::alertThermalShutdown /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1004

# Temperature sensor returned to a normal value
traphandle MIB-Dell-10892::alertTemperatureProbeNormal /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1052

# Temperature sensor detected a warning value
traphandle MIB-Dell-10892::alertTemperatureProbeWarning /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1053

# Temperature sensor detected a failure value
traphandle MIB-Dell-10892::alertTemperatureProbeFailure /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1054

# Temperature sensor detected a non-recoverable value
traphandle MIB-Dell-10892::alertTemperatureProbeNonRecoverable /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1055

# Fan sensor returned to a normal value
traphandle MIB-Dell-10892::alertCoolingDeviceNormal /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1102

# Fan sensor detected a warning value
traphandle MIB-Dell-10892::alertCoolingDeviceWarning /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1103

# Fan sensor detected a failure value
traphandle MIB-Dell-10892::alertCoolingDeviceFailure /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1104

# Fan sensor detected a non-recoverable value
traphandle MIB-Dell-10892::alertCoolingDeviceNonRecoverable /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1105

# Voltage sensor returned to a normal value
traphandle MIB-Dell-10892::alertVoltageProbeNormal /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1152

# Voltage sensor detected a warning value
traphandle MIB-Dell-10892::alertVoltageProbeWarning /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1153

# Voltage sensor detected a failure value
traphandle MIB-Dell-10892::alertVoltageProbeFailure /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1154

# Voltage sensor detected a non-recoverable value
traphandle MIB-Dell-10892::alertVoltageProbeNonRecoverable /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1155

# Current sensor returned to a normal value
traphandle MIB-Dell-10892::alertAmperageProbeNormal /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1202

# Current sensor detected a warning value
traphandle MIB-Dell-10892::alertAmperageProbeWarning /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1203

# Current sensor detected a failure value
traphandle MIB-Dell-10892::alertAmperageProbeFailure /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1204

# Current sensor detected a non-recoverable value
traphandle MIB-Dell-10892::alertAmperageProbeNonRecoverable /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1205

# Chassis intrusion returned to a normal value
traphandle MIB-Dell-10892::alertChassisIntrusionNormal /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1252

# Chassis intrusion detected 
traphandle MIB-Dell-10892::alertChassisIntrusionDetected /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1254

# Redundancy regained
traphandle MIB-Dell-10892::alertRedundancyNormal /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1304

# Redundancy degraded
traphandle MIB-Dell-10892::alertRedundancyDegraded /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1305

# Redundancy lost
traphandle MIB-Dell-10892::alertRedundancyLost /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1306

# Power supply returned to a normal value
traphandle MIB-Dell-10892::alertPowerSupplyNormal /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1352

# Power supply detected a failure
traphandle MIB-Dell-10892::alertPowerSupplyFailure /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1354

# Memory device ECC Correctable error count crossed a warning threshold
traphandle MIB-Dell-10892::alertMemoryDeviceWarning /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1403

# Memory device ECC Correctable error count crossed a failure threshold
traphandle MIB-Dell-10892::alertMemoryDeviceFailure /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1404

# Memory device ECC Correctable error count crossed a non-recoverablethreshold
traphandle MIB-Dell-10892::alertMemoryDeviceNonRecoverable /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1405

# Fan enclosure inserted into system
traphandle MIB-Dell-10892::alertFanEnclosureInsertion /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1452

# Fan enclosure removed from system
traphandle MIB-Dell-10892::alertFanEnclosureRemoval /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1453

# Fan enclosure removed from system for an extended amount of time
traphandle MIB-Dell-10892::alertFanEnclosureExtendedRemoval /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1454

# Power cord is not being monitored
traphandle MIB-Dell-10892::alertACPowerCordNoPowerNonRedundant /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1501

# AC power has been restored
traphandle MIB-Dell-10892::alertACPowerCordNormal /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1502

# AC power has been lost
traphandle MIB-Dell-10892::alertACPowerCordFailure /usr/lib/nagios/plugins/handle-dell-openmanage-trap 1504
